import { createApp } from 'vue'
import { createPinia } from 'pinia'

import registerComponent from '@/components/index'
import directives from '@/directive'

import FsAdminCore from '@fskj-admin/core'
import '@fskj-admin/core/lib/style.css'
import uploadConfig from './config/uploadConfig'

import App from './App.vue'
import router from './router'

import 'uno.css'
import './assets/main.css'
import 'virtual:svg-icons-register'

const app = createApp(App)

app.use(createPinia())
app.use(router)
app.use(FsAdminCore, {
  upload: uploadConfig,
  toolbarConfig: {
    custom: true
  }
})
app.use(registerComponent)
app.use(directives)

app.mount('#app')
